import React,{Component,Fragment} from 'react'
import {Form, Input, Select, Row, Col, Button,Table,Divider,notification,Popconfirm} from 'antd'
import {Link} from 'react-router-dom';

import {formItemLayout,formSubBtnLayout} from '../../../config'
import fieldSet from './descriptor/pxisel'

import Api from '../../../service/api'

import { action, observable } from 'mobx'
import { inject, observer } from 'mobx-react'




const FormItem = Form.Item
const FromCreate = Form.create;
const { Option } = Select;

@observer
@FromCreate()
export default class Pxisel extends Component
{
    constructor(props)
    {
        super(props)
        this.state={loading:false}
    }
    
    @observable
    pxilst=[]

    pxilst_column=[{
        title: '姓名',
        dataIndex: 'nam',
        key: 'nam',
        }, 
        {
        title: '年龄',
        dataIndex: 'age',
        key: 'age',
        
        },
        {
        title: '性别',
        dataIndex: 'sex',
        key: 'sex',
        render(text,record){
            return <span>{text=='F'?'女':'男'}</span>
        }
        },
        {
        title: '电话',
        dataIndex: 'tel',
        key: 'tel',
        },
        {
            title: '毕业院校',
            dataIndex: 'univer',
            key: 'univer',
        },
        {
            title: '专业',
            dataIndex: 'major',
            key: 'major',
        },
    
        {
            title:'编辑',
            key: 'action',
            render: (text, record) => (
                <span>
                <Link to={`/business/pxi/ame/${record.inr}`}>编辑</Link>
                <Divider type="vertical" />
                <Popconfirm title="确定删除？" okText="确定" cancelText="取消">
                    <a href="#">删除</a>
                </Popconfirm>
                </span>
            ),
        }
        
        ];

    
    handleSubmit=(e)=>{
        e && e.preventDefault();
        this.props.form.validateFieldsAndScroll(async (err, values) => {
            if (!err) {
                console.log('Received values of form: ', values);
                this.setState({loading:true})
                const rtnmsg = await Api.post('pxisel/_sel',{data:values})
                if(rtnmsg.retcod == SUCCESS)
                {

                    // this.setState({pxilst:rtnmsg.data.pxilst})
                    this.pxilst = rtnmsg.data.pxilst
                }
                else
                    notification.error({message:'查询失败!'})
                this.setState({loading:false})
            }
        });
    }

    componentWillMount()
    {
        this.handleSubmit()
    }
    
    render()
    {
           const { getFieldDecorator } = this.props.form; 
            return (
            <Fragment >
                <Form onSubmit={this.handleSubmit}>
                    <Row>
                        <Col span={8}>
                        <FormItem
                        {...formItemLayout}
                        label="姓名"
                        >
                            {getFieldDecorator('nam', fieldSet.nam)(
                                <Input maxLength={20} placeholder="请填写姓名"/>
                            )}
                        </FormItem>
                        </Col>
                        <Col span={8}>
                        <FormItem 
                        {...formItemLayout}
                        label="性别"
                        >
                            {getFieldDecorator('sex', fieldSet.sex)(
                                <Select placeholder="请选择性别">
                                    <Option value="F">女</Option>
                                    <Option value="M">男</Option>
                                </Select>
                            )}
                        </FormItem>
                        </Col>
                        <Col span={8}>
                        <FormItem 
                        {...formItemLayout}
                        label="毕业院校"
                        >
                            {getFieldDecorator('univer', fieldSet.univer)(
                                <Input maxLength={20} placeholder="请输入毕业院校"/>
                            )}
                        </FormItem>
                        </Col>
                    </Row>
                    <Row>
                    <Col span={8}>
                    <FormItem
                    {...formItemLayout}
                    label="专业"
                    >
                        {getFieldDecorator('major', fieldSet.major)(
                            <Input maxLength={20} placeholder="请输入你的专业"/>
                        )}
                    </FormItem>
                    </Col>
                    <Col span={16}>
                        <FormItem {...formSubBtnLayout}>
                            <Button type="primary" loading={this.state.loading} icon="search" htmlType="submit" >查询</Button>
                            <Button type="primary" icon="download" style={{marginLeft:'5px'}}>导出</Button>
                            <Button  icon="close" style={{marginLeft:'5px'}} onClick={()=>this.props.form.resetFields()}>清除</Button >
                        </FormItem>
                    </Col>
                    </Row>
                    <Table loading={this.state.loading} dataSource={this.pxilst} columns={this.pxilst_column} />
                </Form>
            </Fragment>
            )
        
    }
    
} 

